#!/bin/sh
test ! -f "${1}" && echo "Usage: ${0##*/} <file-to-check>" && exit 1

TIME=$(which time)
TIMEFMT="elepsed: %e - cpu: %P - memory: %M"
echo "CALL: sha256sum ${1}"
${TIME} -f "${TIMEFMT}" sha256sum ${1}
echo "CALL: ./sha256 ${1}"
${TIME} -f "${TIMEFMT}" ./sha256 ${1}

